Create Invoice: MRI
https://api.propexo.com/v1/invoices/mri/| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMAP_CreateInvoice |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The name of your integration with MRI
The invoice or reference number that the vendor assigned to the service request
The post month for the invoice. We will strip all data out of the datetime except the year and month.
Show 2 variants
invoice_items object[]required
The Propexo unique identifier for the accounting entity
The Propexo unique identifier for the financial account
The total amount of the invoice item
Possible values: >= 0
Notes associated with the invoice item
A numeric identifier that must be unique for each item in the invoice
Possible values: > 0
Description of the invoice item
The date of issuance for the invoice
Show 2 variants
The due date associated with the invoice
Show 2 variants
The total amount of the invoice
Possible values: >= 0
Description of the invoice
The URL assigned to the copy of the original invoice that was imported from a third-party system
Set this parameter to the purchase order number that contains the line items to be invoiced. MRI will validate and link the invoice to the specified purchase order for processing.
Whether to group the invoice payment on the same check with other invoices or pay the invoice separately on its own check
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The name of your integration with MRI
The invoice or reference number that the vendor assigned to the service request
Show 2 variants
invoice_items object[]required
The Propexo unique identifier for the accounting entity
The Propexo unique identifier for the financial account
The total amount of the invoice item
Possible values: >= 0
Notes associated with the invoice item
A numeric identifier that must be unique for each item in the invoice
Possible values: > 0
Description of the invoice item
The date of issuance for the invoice
Show 2 variants
The due date associated with the invoice
Show 2 variants
The total amount of the invoice
Possible values: >= 0
Description of the invoice
The URL assigned to the copy of the original invoice that was imported from a third-party system
Set this parameter to the purchase order number that contains the line items to be invoiced. MRI will validate and link the invoice to the specified purchase order for processing.
Whether to group the invoice payment on the same check with other invoices or pay the invoice separately on its own check
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/invoices/mri/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"partner_name": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_items": [
{
"accounting_entity_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"item_number": 0,
"description": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"partner_name": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_items": [
{
"accounting_entity_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"item_number": 0,
"description": "string"
}
],
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"description": "string",
"scanned_copy_url": "string",
"purchase_order_number": "string",
"separate_check": true
}
}